package org.apache.xindice.examples;

/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: DeleteDocument.java 511428 2007-02-25 03:30:52Z vgritsenko $
 */

import org.xmldb.api.base.Collection;
import org.xmldb.api.base.Resource;
import org.xmldb.api.base.XMLDBException;

/**
 * Simple XML:DB API Example to delete a document from the database.
 */
public class DeleteDocument extends AbstractExample {
    public static void main(String[] args) throws Exception {
        Collection collection = null;
        try {

            collection = getCollection("xmldb:xindice:///db/addressbook");

            Resource document = collection.getResource(args[0]);
            collection.removeResource(document);
            System.out.println("Document " + args[0] + " removed");
        } catch (XMLDBException e) {
            System.err.println("XML:DB Exception occured " + e.errorCode + " " + e.getMessage());
        } finally {
            if (collection != null) {
                collection.close();
            }
        }
    }
}
