/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: Key.java 571943 2007-09-02 10:48:02Z vgritsenko $
 */

package org.apache.xindice.core.data;

/**
 * Key extends Value by providing a hash value for the Key.
 *
 * @version $Revision: 571943 $, $Date: 2007-09-02 06:48:02 -0400 (Sun, 02 Sep 2007) $
 */
public final class Key extends Value {

    public Key(Value value) {
        super(value);
    }

    public Key(byte[] data) {
        super(data);
    }

    public Key(byte[] data, int pos, int len) {
        super(data, pos, len);
    }

    public Key(String data) {
        super(data);
    }

    public boolean equals(Value value) {
        return hashCode() == value.hashCode() && compareTo(value) == 0;
    }
}
