/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: BasicIndexerEventHandler.java 564424 2007-08-09 23:40:03Z natalia $
 */

package org.apache.xindice.core.indexer;

import org.apache.xindice.core.data.Key;
import org.apache.xindice.core.DBException;

/**
 * Empty implementation of IndexerEventHandler that does nothing.
 *
 * @version $Revision: 564424 $, $Date: 2007-08-09 19:40:03 -0400 (Thu, 09 Aug 2007) $
 */
public abstract class BasicIndexerEventHandler implements IndexerEventHandler {

    public void onDocumentAdded(Key key) throws DBException {
    }

    public void onDocumentDeleted(Key key) throws DBException {
    }

    public void onNameAdded(IndexPattern pattern, Key key, short elemID, short attrID) throws DBException {
    }

    public void onNameDeleted(IndexPattern pattern, Key key, short elemID, short attrID) throws DBException {
    }

    public void onValueAdded(IndexPattern pattern, String value, Key key, int pos, int len, short elemID, short attrID) throws DBException {
    }

    public void onValueDeleted(IndexPattern pattern, String value, Key key, int pos, int len, short elemID, short attrID) throws DBException {
    }
}
