/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: InlineMetaMap.java 541508 2007-05-25 01:54:12Z vgritsenko $
 */

package org.apache.xindice.core.meta.inline;

/**
 * The inline meta data is a collection of name-value pairs.
 *
 * @version $Revision: 541508 $, $Date: 2007-05-24 21:54:12 -0400 (Thu, 24 May 2007) $
 */
public interface InlineMetaMap {

    /**
     * Return <code>true</code> if the map contains the
     * specified key.
     */
    boolean containsKey(String key);

    /**
     * Return the value associated with the specified key.
     */
    Object get(String key) throws InlineMetaException;

    /**
     * Returns an array containing the keys found in the map.
     */
    String[] keys();

    /**
     * Set the value associated with the given key.
     */
    void put(String key, Object value) throws InlineMetaException;
}
