/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: BTreeFilerTest.java 541504 2007-05-25 01:43:39Z vgritsenko $
 */

package org.apache.xindice.core.filer;

import org.apache.xindice.core.data.Key;

/**
 *
 * @version $Revision: 541504 $, $Date: 2007-05-24 21:43:39 -0400 (Thu, 24 May 2007) $
 * @author <a href="mailto:vgritsenko@apache.org">Vadim Gritsenko</a>
 */
public class BTreeFilerTest extends FilerTestBase {

    public BTreeFilerTest(String name) {
        super(name, new BTreeFiler());
    }

    /**
     * Test to see if BTreeFiler reuses deleted pages.  
     */
    public void testFreePages() throws Exception {
        long count = ((BTreeFiler) filer).getFileHeader().getTotalCount();
        int iterations = 10;

        Key key = new Key("key");
        for (int i = 0; i < iterations; i++) {
            filer.writeRecord(key, TEST_VALUE);
            assertTrue(filer.deleteRecord(key));
        }

        // Check that file did not grow (much)
        assertTrue(count + 1 >= ((BTreeFiler) filer).getFileHeader().getTotalCount());
    }
}
